[svn] r4736 - in trunk/rpms: ipw3945-kmod libdca

packagers at lists.rpmforge.net packagers at lists.rpmforge.net
Mon Sep 18 19:04:06 CEST 2006


Author: thias
Date: 2006-09-18 19:04:06 +0200 (Mon, 18 Sep 2006)
New Revision: 4736

Added:
   trunk/rpms/ipw3945-kmod/kmodtool
Modified:
   trunk/rpms/libdca/libdca.spec
Log:
Add kmodtool for ipw3945-kmod and use videolan.org source for libdca.


Added: trunk/rpms/ipw3945-kmod/kmodtool
===================================================================
--- trunk/rpms/ipw3945-kmod/kmodtool	                        (rev 0)
+++ trunk/rpms/ipw3945-kmod/kmodtool	2006-09-18 17:04:06 UTC (rev 4736)
@@ -0,0 +1,167 @@
+#!/bin/bash
+
+# kmodtool - Helper script for building kernel module RPMs
+# Copyright (c) 2003-2006 Ville Skyttä <ville.skytta at iki.fi>,
+#                         Thorsten Leemhuis <fedora at leemhuis.info>
+#
+# Permission is hereby granted, free of charge, to any person obtaining
+# a copy of this software and associated documentation files (the
+# "Software"), to deal in the Software without restriction, including
+# without limitation the rights to use, copy, modify, merge, publish,
+# distribute, sublicense, and/or sell copies of the Software, and to
+# permit persons to whom the Software is furnished to do so, subject to
+# the following conditions:
+#
+# The above copyright notice and this permission notice shall be
+# included in all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
+# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
+# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
+# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+myprog="kmodtool"
+myver="0.10.6"
+knownvariants='\(BOOT\|\(big\|huge\)mem\|debug\|enterprise\|kdump\|smp\|uml\|xen[0U]\)'
+kmod_name=
+kver=
+verrel=
+variant=
+
+get_verrel ()
+{
+  verrel="$(echo "${1-$(uname -r)}" | sed 's/'${knownvariants}'$//')"
+}
+
+print_verrel ()
+{
+  get_verrel $@ || return $?
+  echo "${verrel}"
+}
+
+get_variant ()
+{
+  variant="$(echo "${1-$(uname -r)}" | sed 's/^.*'${knownvariants}'$/\1/')"
+  [ "${variant}" != "${1-$(uname -r)}" ] || variant='""'
+}
+
+print_variant ()
+{
+  get_variant $@ || return $?
+  echo "${variant}"
+}
+
+
+get_rpmtemplate ()
+{
+    local variant="${1}"
+    local dashvariant="${variant:+-${variant}}"
+    case "$verrel" in
+        *.EL*) kdep="kernel${dashvariant}-%{_target_cpu} = ${verrel}" ;;
+        *)     kdep="kernel-%{_target_cpu} = ${verrel}${variant}"     ;;
+    esac
+    cat <<EOF
+%package       -n kmod-${kmod_name}${dashvariant}
+Summary:          ${kmod_name} kernel module(s)
+Group:            System Environment/Kernel
+Provides:         kernel-module = ${verrel}${variant}
+Provides:         kmod-${kmod_name} = %{?epoch:%{epoch}:}%{version}-%{release}
+Requires:         ${kdep}
+Requires:         ${kmod_name}-kmod-common = %{?epoch:%{epoch}:}%{version}
+Requires(post):   /sbin/depmod
+Requires(postun): /sbin/depmod
+BuildRequires:    kernel${dashvariant}-devel-%{_target_cpu} = ${verrel}
+%description   -n kmod-${kmod_name}${dashvariant}
+This package provides the ${kmod_name} kernel modules built for the Linux
+kernel ${verrel}${variant} for the %{_target_cpu} family of processors.
+%post          -n kmod-${kmod_name}${dashvariant}
+/sbin/depmod -aeF /boot/System.map-${verrel}${variant} ${verrel}${variant} > /dev/null || :
+%postun        -n kmod-${kmod_name}${dashvariant}
+/sbin/depmod -aF /boot/System.map-${verrel}${variant} ${verrel}${variant} &> /dev/null || :
+%files         -n kmod-${kmod_name}${dashvariant}
+%defattr(644,root,root,755)
+/lib/modules/${verrel}${variant}/extra/${kmod_name}/
+
+EOF
+}
+
+print_rpmtemplate ()
+{
+  kmod_name="${1}"
+  shift
+  kver="${1}"
+  get_verrel "${1}"
+  shift
+  if [ -z "${kmod_name}" ] ; then
+    echo "Please provide the kmodule-name as first parameter." >&2
+    exit 2
+  elif [ -z "${kver}" ] ; then
+    echo "Please provide the kver as second parameter." >&2
+    exit 2
+  elif [ -z "${verrel}" ] ; then
+    echo "Couldn't find out the verrel." >&2
+    exit 2
+  fi
+
+  for variant in "$@" ; do
+    get_rpmtemplate "${variant}"
+  done
+}
+
+usage ()
+{
+  cat <<EOF
+You called: ${invocation}
+
+Usage: ${myprog} <command> <option>+
+ Commands:
+  verrel <uname>                               
+    - Get "base" version-release.
+  variant <uname>                               
+    - Get variant from uname.
+  rpmtemplate <mainpgkname> <uname> <variants> 
+    - Return a template for
+  version  
+    - Output version number and exit.
+EOF
+}
+
+invocation="$(basename ${0}) $@"
+while [ "${1}" ] ; do
+  case "${1}" in
+    verrel)
+      shift
+      print_verrel $@
+      exit $?
+      ;;
+    variant)
+      shift
+      print_variant $@
+      exit $?
+      ;;
+    rpmtemplate)
+      shift
+      print_rpmtemplate "$@"
+      exit $?
+      ;;
+    version)
+      echo "${myprog} ${myver}"
+      exit 0
+      ;;
+    *)
+      echo "Error: Unknown option '${1}'." >&2
+      usage >&2
+      exit 2
+      ;;
+  esac
+done
+
+# Local variables:
+# mode: sh
+# sh-indentation: 2
+# indent-tabs-mode: nil
+# End:
+# ex: ts=2 sw=2 et


Property changes on: trunk/rpms/ipw3945-kmod/kmodtool
___________________________________________________________________
Name: svn:executable
   + *

Modified: trunk/rpms/libdca/libdca.spec
===================================================================
--- trunk/rpms/libdca/libdca.spec	2006-09-18 17:00:50 UTC (rev 4735)
+++ trunk/rpms/libdca/libdca.spec	2006-09-18 17:04:06 UTC (rev 4736)
@@ -4,11 +4,11 @@
 Summary: DTS Coherent Acoustics decoder
 Name: libdca
 Version: 0.0.2
-Release: 3
+Release: 4
 License: GPL
 Group: System Environment/Libraries
 URL: http://www.videolan.org/libdca.html
-Source: http://debian.unnet.nl/pub/videolan/libdts/%{version}/libdts-%{version}.tar.gz
+Source: http://download.videolan.org/pub/videolan/libdca/%{version}/libdca-%{version}.tar.gz
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
 # Only a static lib, but two binaries too, so provide devel in the main
 Provides: %{name}-devel = %{version}-%{release}
@@ -53,6 +53,9 @@
 
 
 %changelog
+* Mon Sep 18 2006 Matthias Saou <http://freshrpms.net/> 0.0.2-4
+- Use the source from videolan.org as it is available again.
+
 * Fri Mar 17 2006 Matthias Saou <http://freshrpms.net/> 0.0.2-3
 - Release bump to drop the disttag number in FC5 build.
 



More information about the svn-commits mailing list